Last Comment Bug 827493 - Marionette installation breaks with recent changes to mozbase/mozhttpd
: Marionette installation breaks with recent changes to mozbase/mozhttpd
Status: RESOLVED FIXED
:
Product: Testing
Classification: Components
Component: Marionette (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla21
Assigned To: Anhad Jai Singh (:ffledgling)
:
:
Mentors:
Depends on: 827508 827531 840668 840789 840796 841085 841091 841128
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-07 13:14 PST by Anhad Jai Singh (:ffledgling)
Modified: 2013-05-01 20:06 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
wontfix
fixed


Attachments
Adds moznetwork dependency to marionette setup, removes useage of old iface method (2.25 KB, patch)
2013-01-07 14:28 PST, Anhad Jai Singh (:ffledgling)
k0scist: review-
Details | Diff | Splinter Review
Same as previous patch with minor version bump (2.38 KB, patch)
2013-01-07 15:04 PST, Anhad Jai Singh (:ffledgling)
k0scist: review+
Details | Diff | Splinter Review

Description Anhad Jai Singh (:ffledgling) 2013-01-07 13:14:39 PST
runtests.py under marionette uses the iface method from mozhttpd, this however was removed in recent updates to mozhttpd and was moved to the moznetwork module and thus breaks the marionette installation using setup.py.
Comment 1 Anhad Jai Singh (:ffledgling) 2013-01-07 14:28:27 PST
Created attachment 698872 [details] [diff] [review]
Adds moznetwork dependency to marionette setup, removes useage of old iface method

Adds moznetwork dependency to marionette setup, removes useage of old iface method from mozhttpd.
Comment 2 Jeff Hammel 2013-01-07 14:42:56 PST
Comment on attachment 698872 [details] [diff] [review]
Adds moznetwork dependency to marionette setup, removes useage of old iface method

This looks good, except the setup.py will also need its version bumped.  In general, if a setup.py is substantively changed, its version should be bumped
Comment 3 Jeff Hammel 2013-01-07 14:44:22 PST
We'll also need to wait for bug 827508 or somehow otherwise fix the disparity between mozharness and m-c
Comment 4 Jeff Hammel 2013-01-07 14:44:56 PST
(and bug 827531)
Comment 5 Anhad Jai Singh (:ffledgling) 2013-01-07 15:04:29 PST
Created attachment 698889 [details] [diff] [review]
Same as previous patch with minor version bump

Adds moznetwork dependency to marionette setup, removes useage of old iface method, Also adds a minor version bump to Marionette.
Comment 6 Jeff Hammel 2013-01-07 15:10:53 PST
Comment on attachment 698889 [details] [diff] [review]
Same as previous patch with minor version bump

lgtm! thanks
Comment 7 Jonathan Griffin (:jgriffin) 2013-02-12 12:34:25 PST
So, now that bug 827531 is fixed, I can finally circle back to this bug!  Before we can land this, we'll need to upload moznetwork to puppetagain, and then update this patch with the current version number.  We'll probably want to mirror moznetwork to m-c as well.  I'll file the appropriate bugs.
Comment 8 Jonathan Griffin (:jgriffin) 2013-02-12 13:02:27 PST
Updated version number in patch and pushed to try: https://tbpl.mozilla.org/?tree=Try&rev=c0682e948b75
Comment 9 Jonathan Griffin (:jgriffin) 2013-02-12 16:29:44 PST
(In reply to Jonathan Griffin (:jgriffin) from comment #8)
> Updated version number in patch and pushed to try:
> https://tbpl.mozilla.org/?tree=Try&rev=c0682e948b75

15:08:24     INFO -  starting httpd
15:08:24    ERROR -  Traceback (most recent call last):
15:08:24     INFO -    File "/builds/slave/talos-slave/test/build/tests/marionette/marionette/runtests.py", line 703, in <module>
15:08:24     INFO -      cli()
15:08:24     INFO -    File "/builds/slave/talos-slave/test/build/tests/marionette/marionette/runtests.py", line 698, in cli
15:08:24     INFO -      runner = startTestRunner(runner_class, options, tests)
15:08:24     INFO -    File "/builds/slave/talos-slave/test/build/tests/marionette/marionette/runtests.py", line 693, in startTestRunner
15:08:24     INFO -      runner.run_tests(tests, testtype=options.type)
15:08:24     INFO -    File "/builds/slave/talos-slave/test/build/tests/marionette/marionette/runtests.py", line 352, in run_tests
15:08:24     INFO -      self.run_test(test, testtype)
15:08:24     INFO -    File "/builds/slave/talos-slave/test/build/tests/marionette/marionette/runtests.py", line 383, in run_test
15:08:24     INFO -      self.start_httpd()
15:08:24     INFO -    File "/builds/slave/talos-slave/test/build/tests/marionette/marionette/runtests.py", line 254, in start_httpd
15:08:24     INFO -      host = moznetwork.get_ip()
15:08:24     INFO -  AttributeError: 'module' object has no attribute 'get_ip'
15:08:24    ERROR - Return code: 1

We need to versionbump moznetwork and release to pypi.
Comment 10 Jonathan Griffin (:jgriffin) 2013-02-12 17:36:26 PST
Updated moznetwork version number in patch and pushed to try again: https://tbpl.mozilla.org/?tree=Try&rev=bf127b74cfa1
Comment 11 Jonathan Griffin (:jgriffin) 2013-02-13 10:57:24 PST
19:20:27    ERROR -  Traceback (most recent call last):
19:20:27     INFO -    File "/Users/cltbld/talos-slave/test/build/tests/marionette/marionette/runtests.py", line 703, in <module>
19:20:27     INFO -      cli()
19:20:27     INFO -    File "/Users/cltbld/talos-slave/test/build/tests/marionette/marionette/runtests.py", line 698, in cli
19:20:27     INFO -      runner = startTestRunner(runner_class, options, tests)
19:20:27     INFO -    File "/Users/cltbld/talos-slave/test/build/tests/marionette/marionette/runtests.py", line 693, in startTestRunner
19:20:27     INFO -      runner.run_tests(tests, testtype=options.type)
19:20:27     INFO -    File "/Users/cltbld/talos-slave/test/build/tests/marionette/marionette/runtests.py", line 352, in run_tests
19:20:27     INFO -      self.run_test(test, testtype)
19:20:27     INFO -    File "/Users/cltbld/talos-slave/test/build/tests/marionette/marionette/runtests.py", line 383, in run_test
19:20:27     INFO -      self.start_httpd()
19:20:27     INFO -    File "/Users/cltbld/talos-slave/test/build/tests/marionette/marionette/runtests.py", line 264, in start_httpd
19:20:27     INFO -      self.httpd.start()
19:20:27     INFO -    File "/Users/cltbld/talos-slave/test/build/venv/lib/python2.6/site-packages/mozhttpd/mozhttpd.py", line 223, in start
19:20:27     INFO -      self.httpd = EasyServer((self.host, self.port), self.handler_class)
19:20:27     INFO -    File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/SocketServer.py", line 400, in __init__
19:20:27     INFO -      self.server_bind()
19:20:27     INFO -    File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/BaseHTTPServer.py", line 108, in server_bind
19:20:27     INFO -      SocketServer.TCPServer.server_bind(self)
19:20:27     INFO -    File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/SocketServer.py", line 411, in server_bind
19:20:27     INFO -      self.socket.bind(self.server_address)
19:20:27     INFO -    File "<string>", line 1, in bind
19:20:27    ERROR -  TypeError: coercing to Unicode: need string or buffer, NoneType found
19:20:27    ERROR - Return code: 1

This seems like moznetwork.get_ip() is returning None on the slaves, Mac at least.
Comment 12 Jonathan Griffin (:jgriffin) 2013-02-13 11:26:17 PST
Who knew this would be so complicated? ;)
Comment 13 Jonathan Griffin (:jgriffin) 2013-02-13 17:52:28 PST
Updated version number in patch and pushed to try again: https://tbpl.mozilla.org/?tree=Try&rev=edf911851126

Third time's the charm!
Comment 14 Jonathan Griffin (:jgriffin) 2013-02-14 11:59:13 PST
(In reply to Jonathan Griffin (:jgriffin) from comment #13)
> Updated version number in patch and pushed to try again:
> https://tbpl.mozilla.org/?tree=Try&rev=edf911851126
> 
> Third time's the charm!

It's green!  Time to land.
Comment 15 Jonathan Griffin (:jgriffin) 2013-02-14 16:19:29 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/33247c135813
Comment 16 Ryan VanderMeulen [:RyanVM] 2013-02-15 06:50:26 PST
https://hg.mozilla.org/mozilla-central/rev/33247c135813
Comment 17 Malini Das [:mdas] - Away, not checking bugmail 2013-04-02 11:47:12 PDT
https://hg.mozilla.org/releases/mozilla-b2g18/pushloghtml?changeset=71f7f42dee13
Comment 18 Jonathan Griffin (:jgriffin) 2013-05-01 20:06:22 PDT
https://hg.mozilla.org/releases/mozilla-b2g18_v1_0_1/rev/fbfdc8f4734a

Note You need to log in before you can comment on or make changes to this bug.